Subject: Re: bug#68246: 30.0.50; Add non-TS mode as extra parent of TS modes

From: João Távora <[email-masked]>
Date: Mon, 15 Jan 2024 14:45:41 +0000

On Mon, Jan 15, 2024 at 12:38 PM Eli Zaretskii <[email-masked]> wrote:

> It's our only reliable instrument of getting feedback for our
> decisions.

It's an instrument among others.  It's not particularly reliable.

> > An empty base mode is useful just for its hook and its behaviour in
> > dir-locals, for example.
>
> No, it is completely useless, and we shouldn't introduce such modes.

One more time.  The user hook for 'foo-base-mode', which is the
normal parent of 'foo-mode', 'foo-ts-mode' and 'foo-whatever-impl-mode'
can be used to:

* setup a  library of snippets for the Foo language.;
* define a suitable Flymake backend for said language
* appear in dir-locals to setup fill-column for this language
* define simpler more robust major-mode database, such as

((foo-base-mode . thingy-42)
 (js-base-mode . thingy-43)
 (ruby-base-mode . thingy-45))

* many more things

These are exactly the things being discussed here.

There is this crystal clear evidence of usefulness being laid
in front of you and yet you claim adamantly it is "completely
useless".  With no justification for the statement.  Because
of course, there is no such thing.

João